--- tools/pidgin/src/platforms.dylan	Sat Oct  4 13:20:57 2003
+++ tools/pidgin/src/platforms.dylan	Sat Oct  4 13:21:30 2003
@@ -133,6 +133,42 @@
        default-include-path:
 	 #["/usr/include"]);
 
+define constant $ppc-darwin-platform =
+  make(<c-platform>,
+       default-defines:
+	 #["const", "",
+	   "volatile", "",
+	   "__STDC__", "",
+	   
+	   // Parameterized macros which remove various GCC extensions from our
+	   // source code. The last item in the list is the right-hand side of
+	   // the define; all the items preceding it are named parameters.
+	   "__attribute__", #(#("x"), ""), 
+	   "__signed__", "", 
+	   "__signed", "", 
+	   "__inline__", "",
+	   "inline", "",
+	   "__inline", "",
+	   
+	   // These are the standard platform defines. Some day, configure should
+	   // figure them out by running gcc -E -o - -dM on an empty file.
+	   "__GNUC__", "2",
+	   "__GNUC_MINOR__", "95",
+	   "__ppc__", "",
+	   "__NATURAL_ALIGNMENT__", "",
+	   "__MACH__", "",
+	   "__BIG_ENDIAN__", "",
+	   "__APPLE__", "",
+      	   "__STDC__", "",
+	   "__APPLE_CC__", "934",
+	   "__DYNAMIC__", ""], 
+       default-include-path:
+	 #["/usr/local/include",
+	   // Find out the correct value for this path by calling
+	   // gcc -print-file-name=include
+	   "/usr/include/gcc/darwin/2.95.2/g++/..",
+           "/usr/include"]);
+
        
 define constant $sparc-solaris-platform =
   make(<c-platform>,
